/***************************************************************************
 **
 **  Copyright (C) 2018-2023 wangjianjun <wangjianjun1018@qq.com>
 **  Contact: https://blog.csdn.net/wocanimei007?type=blog
 **
 **
****************************************************************************/
#ifndef SKINITEM_H
#define SKINITEM_H

#include <QWidget>
#include "frameless_global.h"



class SkinItemPrivate;
class FRAMELESS_SHARED_EXPORT SkinItem : public QWidget
{
    Q_OBJECT
public:
    explicit SkinItem(QWidget *parent = nullptr);
    ~SkinItem();

    void setPixmapName(const QString &name);
    QString pixmapName()const;

    void select(bool selected);

signals:
    void clicked();

protected:
    void mousePressEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);
    void enterEvent(QEvent *event);
    void leaveEvent(QEvent *event);
    void paintEvent(QPaintEvent *event);

private:
    SkinItemPrivate *d;
};



#endif // SKINITEM_H
